Generate room visualizations
Generate room visualizations based on the provided parameters. Requires authentication (Token).
Body
multipart/form-data
Request body for room visualization
- Type: string
additional Prompt Optional additional text to include in the generation prompt
- Type: string
aspect Ratio Aspect ratio of the generated image (e.g., 16:9, 4:3)
- Type: string
image Base image for generation (optional, for image-to-image)
- Type: string
room The room type to generate (e.g., bedroom, living room)
- Type: array string[]
styles Array of style names to apply
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/v1/room-visualize
curl https://platform.youzu.ai/api/v1/room-visualize \
--request POST \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--form 'image=@room-image.jpg' \
--form 'room=bedroom' \
--form 'styles=modern' \
--form 'styles=minimal'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"inputImageUrls": [
"https://example.com"
],
"outputUrls": [
"https://example.com"
],
"createdAt": "2026-04-12T12:10:23.016Z",
"updatedAt": "2026-04-12T12:10:23.016Z",
"status": "PENDING",
"errorMessage": null,
"roomType": "string",
"styles": [
"string"
],
"aspectRatio": "string",
"customPrompt": "string"
}